body {
	margin: 0;
	font-family: Verdana, Geneva, Tahoma, sans-serif;
	background: #f0f0f0;
}

/***********/
/* Filtres */
/***********/
.filtres{
	display: flex;
	justify-content: center;
	gap: 4px;
}
.filtres>div{
	background: rgba(0, 153, 204, 0.2);
	padding: 4px 8px;
	border-radius: 4px;
	cursor: pointer;
}
body.uniquementComposante .enseignant:has(.autre){display: none}
body.uniquementAutresComposante .enseignant:has(.meme){display: none}
body.uniquementDécharge .enseignant:has(.decharge>input[value="0"]){display: none}
body.uniquementNonValidEnseignant .enseignant:has(.validEnseignant.validé){display: none}
body.uniquementNonValidReferent .enseignant:has(.validRA.validé){display: none}

body.uniquementComposante .uniquementComposante,
body.uniquementAutresComposante .uniquementAutresComposante,
body.uniquementDécharge .uniquementDécharge,
body.uniquementNonValidEnseignant .uniquementNonValidEnseignant,
body.uniquementNonValidReferent .uniquementNonValidReferent{
	background: #09c;
	color: #fff;
}

/**********/
/* Wait   */
/**********/

.wait {
	display: none;
	margin: -16px auto auto auto;
	width: 64px;
	height: 16px;
	position: fixed;
	left: 50%;
	margin-left: -32px;
	z-index: 100;
}

.wait:before {
	content: "";
	position: absolute;
	border-radius: 50px;
	box-shadow: 0 0 0 3px inset #c09;
	animation: wait 0.75s infinite alternate;
}

@keyframes wait {
	0% {inset: 0 35px 0 0}
	50% {inset: 0 0 0 0}
	100% {inset: 0 0 0 35px}
}

/***************/
/* Message     */
/***************/
.message {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	padding: 64px;
	background: #fff;
	font-size: 24px;
	text-align: center;
	opacity: 0;
	pointer-events: none;
	z-index: 100;
}
.message:after {
	content: "Cliquez pour fermer";
	font-size: 16px;
	display: block;
	margin-top: 32px;
}

.tempoMessage {
	position: fixed;
	top: 100px;
	left: 50%;
	transform: translateX(-50%);
	font-size: 32px;
}

/*************/
/* Header    */
/*************/
header {
	background: #09c;
	color: #fff;
	padding: 8px 8px 8px 32px;
	display: flex;
	align-items: center;
	gap: 16px;
	box-shadow: 0 2px 2px rgba(0, 0, 0, 0.26);
	margin-bottom: 32px;
	position: sticky;
	top: 0;
	z-index: 100;
}

header>a{
	margin: 0 auto 0 0;
	text-decoration: none;
	color: #fff;
}
header>nav {
	display: flex;
	flex-wrap: wrap;
	gap: 4px;
}
header>nav>a {
	padding: 4px 16px;
	text-decoration: none;
	font-size: 20px;
	background: #FFF;
	color: #000;
	border-radius: 4px;
}
header>nav>a:hover,
header>nav>a.selected {
	background: #0c9;
	color: #fff;
}

nav>.valComp, nav>.rh {
	display: none;
}
body.RH nav>.valComp,
body.RH nav>.rh{
	display: block;
}
body.DIR_COMP nav>.valComp,
body.RA nav>.valComp,
body.DIR_ETUD nav>.valComp{
	display: block;
}

/***************/
/* Autre       */
/***************/
main {
    padding: 16px 32px;
    max-width: 1200px;
    margin: auto;
}
.validRA{
	position: relative;
	cursor: pointer;
}
.validRA>.detailsRA{
	position: absolute;
	bottom: calc(100% + 6px);
	left: 4px;
	padding: 2px 4px;
	background: #09c;
	color: #fff;
	display: none;
	z-index: 90;
	white-space: nowrap;
	pointer-events: none;
}
.validRA>.detailsRA::after{
	content: "";
	position: absolute;
	top: 100%;
	left: 40px;
	border: 6px solid transparent;
	border-top-color: #09c;
	display: none;
	pointer-events: none;
}
.validRA:hover>.detailsRA,
.validRA:hover>.detailsRA::after{
	display:block;
}
.heures{
	position: relative;
	cursor: default;
	align-self: stretch;
    display: flex;
    align-items: center;
	padding: 0 8px;
	margin-left: auto;
}
.heures:hover::before,
.heures:hover::after{
	display: block;
}
.heures::before{
	content: "Service dû / HETD / Dépassement plafond";
	position: absolute;
	bottom: calc(100% + 6px);
	right: 4px;
	padding: 2px 4px;
	background: #09c;
	color: #fff;
	display: none;
	pointer-events: none;
	white-space: nowrap;
}
.heures::after{
	content: "";
	position: absolute;
	bottom: calc(100% - 6px);
	right: 40px;
	border: 6px solid transparent;
	border-top-color: #09c;
	display: none;
	pointer-events: none;
}

.enseignant>.composante{
	display: flex;
	gap: 8px;
	align-items: center;
}
.enseignant>.composante>img{
	width: 20px;
	cursor: pointer;
}